#############################################################
#
# dnsmasq
#
#############################################################

DNSMASQ_SOURCE_URL=http://www.thekelleys.org.uk/dnsmasq/
DNSMASQ_SOURCE=dnsmasq-1.18.tar.gz
DNSMASQ_DIR=$(BUILD_DIR)/dnsmasq-1.18

DNSMASQ_PATCH=$(PATCH_DIR)/dnsmasq/1.18.diff

$(DL_DIR)/$(DNSMASQ_SOURCE):
	 $(WGET) -P $(DL_DIR) $(DNSMASQ_SOURCE_URL)$(DNSMASQ_SOURCE)

dnsmasq-source: $(DL_DIR)/$(DNSMASQ_SOURCE)

$(DNSMASQ_DIR)/.unpacked: $(DL_DIR)/$(DNSMASQ_SOURCE)
	zcat $(DL_DIR)/$(DNSMASQ_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	cat $(DNSMASQ_PATCH) | patch -p1 -d $(DNSMASQ_DIR)
	touch $(DNSMASQ_DIR)/.unpacked

$(DNSMASQ_DIR)/.configured: $(DNSMASQ_DIR)/.unpacked
	$(SED) "s/define HAVE_IPV6/undef HAVE_IPV6/" $(DNSMASQ_DIR)/config.h
#	$(SED) "s/define INET6_ADDRSTRLEN/undef INET6_ADDRSTRLEN/" $(DNSMASQ_DIR)/config.h
	$(SED) "s/define HAVE_LINUX_IPV6_PROC/undef HAVE_LINUX_IPV6_PROC/" $(DNSMASQ_DIR)/config.h
	touch  $(DNSMASQ_DIR)/.configured

$(DNSMASQ_DIR)/dnsmasq: $(DNSMASQ_DIR)/.configured
	$(MAKE) -C $(DNSMASQ_DIR) \
		CFLAGS="-Os -pedantic -Wall -Wstrict-prototypes -Wmissing-prototypes" \
                BINDIR=/usr/sbin

$(ADD_MASTER)/sbin/dnsmasq: $(DNSMASQ_DIR)/dnsmasq
	cp -a $(DNSMASQ_DIR)/dnsmasq $(ADD_MASTER)/sbin/dnsmasq
	-$(SSTRIP) $(ADD_MASTER)/sbin/dnsmasq

dnsmasq: $(ADD_MASTER)/sbin/dnsmasq

dnsmasq-clean:
	-$(MAKE) -C $(DNSMASQ_DIR) clean
	rm -f $(ADD_MASTER)/sbin/dnsmasq

dnsmasq-dirclean:
	rm -rf $(DNSMASQ_DIR)
	rm -f $(ADD_MASTER)/sbin/dnsmasq

