#############################################################
#
# hostapd card services
#
#############################################################
# Copyright (C) 2001-2003 by Erik Andersen <andersen@codepoet.org>
# Copyright (C) 2002 by Tim Riker <Tim@Rikers.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA
HOSTAPD_SITE=http://hostap.epitest.fi/releases/
HOSTAPD_VERSION=0.3.0-pre4
HOSTAPD_SOURCE=hostapd-$(HOSTAPD_VERSION).tar.gz
HOSTAPD_DIR=$(BUILD_DIR)/hostapd-$(HOSTAPD_VERSION)
HOSTAPD_PATCH=$(SOURCE_DIR)/hostapd.patch
HOSTAPD_CAT=zcat

HOSTAPD_PKG_DIR=$(PACKAGES_DIR)/hostap

$(DL_DIR)/$(HOSTAPD_SOURCE):
	$(WGET) -P $(DL_DIR) $(HOSTAPD_SITE)/$(HOSTAPD_SOURCE)

hostapd-source: $(DL_DIR)/$(HOSTAPD_SOURCE)

$(HOSTAPD_DIR)/.unpacked: $(DL_DIR)/$(HOSTAPD_SOURCE)
	$(HOSTAPD_CAT) $(DL_DIR)/$(HOSTAPD_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(HOSTAPD_DIR)/.unpacked


$(HOSTAPD_DIR)/hostapd: $(HOSTAPD_DIR)/.unpacked
	( cd $(HOSTAPD_DIR) ; \
	$(MAKE) CFLAGS="-Os -DUSE_KERNEL_HEADERS=$(LINUX_SOURCE_DIR)/include" \
		-C $(HOSTAPD_DIR) ; \
	);

$(HOSTAPD_PKG_DIR)/usr/sbin/hostapd: $(HOSTAPD_DIR)/hostapd
	mkdir -p $(HOSTAPD_PKG_DIR)/usr/sbin
	cp -a $(HOSTAPD_DIR)/hostapd $(HOSTAPD_PKG_DIR)/usr/sbin/hostapd
	-$(SSTRIP) $(HOSTAPD_PKG_DIR)/usr/sbin/hostapd

hostapd: $(HOSTAPD_PKG_DIR)/usr/sbin/hostapd

hostapd-clean:
	-rm -rf $(HOSTAPD_PKG_DIR)/*
	-$(MAKE) -C $(HOSTAPD_DIR) clean

hostapd-dirclean:
	-rm -rf $(HOSTAPD_PKG_DIR)/*
	-rm -rf $(HOSTAPD_DIR)
